Subject: Re: [PATCH] Add git-relink-script to fix up missing hardlinks

From: Jeff Garzik <[email-masked]>
Date: Sun, 26 Jun 2005 15:44:15 -0400

Junio C Hamano wrote:
> I am a bit puzzled, though, why Jeff was the original requestor
> for this feature --- I thought he handles 50 heads in one
> repository which means there is no multiple repositories to
> relink across.

Sure there are.  Just watching my submissions on the mailing list, you 
can see ones mentioned such as "misc-2.6", "libata-dev", "netdev-2.6", etc.:

[jgarzik@pretzel repo]$ ls -FC
  config-2.4      ethtool/    libata-dev/  netdev-2.6/     sparse/
  config-2.6      git/        linux-2.6/   old-SCM/
  config-2.6-uml  git-tools/  misc-2.6/    scsi-misc-2.6/

And I always keep an unmodified 'vanilla' tree from which everything is 
sourced (and hardlinked to).

It's a categorization system, a namespace.  Top-level repositories are 
broad categories, and branches sub-divide those categories.

	Jeff